Sketchup.require 'sketchup'
Sketchup.require 'extensions'
path = File.dirname(__FILE__)
path.force_encoding('UTF-8') if path.respond_to?(:force_encoding)

loader = File.join(path, "solarpv_tool/core")
solarpv_extension = SketchupExtension.new('solarpv tool', loader)
solarpv_extension.name = 'SolarPV-Plus 3D '
solarpv_extension.version = '3.8.2'
solarpv_extension.copyright = '常州安太光伏科技有限公司'
copyright = solarpv_extension.copyright
solarpv_extension.creator = '河海安能'
creator = solarpv_extension.creator
solarpv_extension.description = '本插件为SolarPV-Plus 光伏仿真软件配套的3D设计工具，了解更多请登录https://www.ansolarpv.com'
description = solarpv_extension.description
Sketchup.register_extension(solarpv_extension, true)
